package com.pqs9300.serviceimpl.report;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.pqs9300.mapper.report.GetVoltageMapper;
import com.pqs9300.pojo.report.Condition;
import com.pqs9300.pojo.report.ReportValue;
import com.pqs9300.service.report.GetVoltage;

@Service
public class GetVoltageImpl implements GetVoltage {
    @Autowired
    private GetVoltageMapper getVoltageMapper;

    @Override
    public List<ReportValue> getVoltageData(Condition condition) {
        List<ReportValue> list = getVoltageMapper.getVoltageData(condition);
        RegroupData.regroupData(list, true);

        return list;
    }
}
